let spawnCreeps = require("spawnCreeps");
let harvester = require("harvester")
let upgrader = require("upgrader")
let builder = require("builder")

module.exports.loop = function(){
    let mainSpawn = Game.spawns["Spawn1"];
    spawnCreeps.run(mainSpawn);

    for(var name in Memory.creeps) {
        if(!Game.creeps[name]) {
            delete Memory.creeps[name];
            console.log('Clearing non-existing creep memory:', name);
        }
    }
    
    for (var name in Game.creeps){
        let creep = Game.creeps[name];
        if(creep.memory.role == "Harvester"){
            harvester.run(creep);
        }else if(creep.memory.role == "Upgrader"){
            upgrader.run(creep)
        }else if(creep.memory.role == "Builder"){
            builder.run(creep)
        }
    }
}