let util = require("util")

module.exports = {
    /**@param {Creep} creep */
    run: function(creep){
        if(creep.store.getFreeCapacity() > 0){
            let sources = creep.room.find(FIND_SOURCES);
            sources.sort();
            if(creep.harvest(sources[0]) == ERR_NOT_IN_RANGE){
                creep.moveTo(sources[0], {visualizePathStyle: {stroke: "#ffaa00"}});
            }
        }else{
            let target = util.FindCapacity(creep);

            if(target.length > 0){
                if(creep.transfer(target[0], RESOURCE_ENERGY) == ERR_NOT_IN_RANGE){
                    creep.moveTo(target[0], {visualizePathStyle: {stroke: "#ffaa00"}});
                }
            }
        }
    }
}