module.exports = {
    /**@param {Creep} creep */
    FindCapacity: function(creep){
        return creep.room.find(FIND_STRUCTURES, {
            /**@param {Structure} structure */
            filter: (structure)=>{
                let type = structure.structureType;
                return ((type == STRUCTURE_EXTENSION) ||
                        (type == STRUCTURE_SPAWN )) && 
                        structure.store.getFreeCapacity(RESOURCE_ENERGY) > 0;
            }
        });
    },
    /** @param {Creep} creep */
    Log: function(creep, msg){
        console.log(creep.name + " " +  msg)
    }
}